@import url('https://fonts.googleapis.com/css2?family=Edu+NSW+ACT+Foundation:wght@600&family=Poppins:wght@100;200;300;400;500;700&display=swap');

body{
    background-color: rgb(64, 49, 126);
    color: white;
    font-family: 'Poppins', sans-serif;
    margin:0;
    padding: 0;
    overflow: hidden;
}
.hidden{
    display:none;
}
.game{
    display: flex;
    flex-wrap: wrap;
    height: 50%;
    width: 640px;
}
.motcle{
    user-select: none;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    font-size: 4em;
    margin-bottom: 1em;
    width: 100%;
    height: 10%;
}
.leftside{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    height:100%;
    width: 25%;
}
.invisible{
    opacity: 0;
}
.inactif{
    opacity: 0.3;
}
.output{
    display: block;
    user-select: none;
    width: 50%;
    height: 100%;
    overflow: hidden;
    transition: all 0.3s;
    
}
.message{
    z-index: 2;
    background-color: aliceblue;
    color: black;
    max-width: 50%;
    word-wrap: break-word;
    padding: 0.5em;
    border-radius: 0.5em;
}
.pattedebulle{
    z-index: 1;
    width: 12px;
    height: 20px;
    background: dodgerblue;
    border-bottom-right-radius: 10px;
    margin-bottom: 20px;
    clear:both;
    translate: 200% -50%;
}
.fromleft{
    background-color: dodgerblue;
    margin-left: 1em;
    float: left;
    clear: both;
}

.pattedebulle2{
    z-index: 1;
    width: 12px;
    height: 20px;
    float: right;
    background: aliceblue;
    border-bottom-left-radius: 10px;
    margin-bottom: 20px;
    clear:both;
    translate: -200% -50%;
  }
.fromright{
    margin-right: 1em;
    float: right;
    clear: both;
}
.rightside{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    height:100%;
    width: 25%;
}
.inputbox{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    height:12em;
    width: 100%;
    transition: all 3s;
}

.totype {
    border-left: 1px #ffffff solid;   
    animation: blink 1s;
    animation-iteration-count: infinite;
}
.typed {
    color: yellow;
}
@keyframes blink { 50% { border-color:rgba(0,0,0,0) ; }  }

.compteur{
    user-select: none;
    text-align: center;
    font-size: 1.5em;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    height: 2em;
    width: 100%;
}
progress {
    width: 640px;
    height: 0.3em;
    -webkit-appearance: none;
    transition: all 3s;
  }
  ::-webkit-progress-bar {
    background-color: rgba(255, 255, 255,0.3);
  }
  ::-webkit-progress-value {
    background-color: rgba(255, 255, 255,0.5);
  }

.input{
    user-select: none;
    font-size: 1.3em;
    color: rgb(112, 112, 208);
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    width: 60%;
    height: 4em;
    padding: 1em;
    transition: all 3s;
}
.lettre{
    min-width: 0.3em;
    height: 1.5em;
}
.prota{
    height: 320px;
    width: 160px;
    background-color: rgb(0, 0, 0,0.3);
    border-radius: 80px;
    overflow: hidden;
    transition: all 3s;
}
.status{
    user-select: none;
    height: 100px;
    width: 160px;
    background-color: rgba(255, 255, 255, 00);
}
.perso{
    user-select: none;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: contain;
    background-image: url('img/perso1.png');
}
section{
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    width: 100vw;
    height: 100vh;
    justify-content: center;
    align-items: center;
}
.titredujeu{
    font-family: 'Edu NSW ACT Foundation', cursive;
    font-size: 2.5em;
    margin: 1em;
}
.reglesdujeu{
    user-select: none;
    display: flex;
    flex-wrap: wrap;
    width: 20em;
    justify-content: center;
    padding: 1em;
    border-radius: 10px;
    box-shadow: 0 0.3em 0.3em rgba(0,0,0,0.3);
    flex-direction: column;
    background-color: rgba(98, 80, 171,0.5);
}
li{
    padding: 0;
}
.titreregles{
    user-select: none;
    display: flex;
    flex-wrap: wrap;
    width: 7em;
    margin-left: 2em;
    font-size: 1.2em;
    border-bottom: 0.1em solid white;
}
.start{
    font-family: 'Edu NSW ACT Foundation', cursive;
    margin-top: 1em;
    user-select: none;
    cursor: pointer;
    background-color: pink;
    padding: 0.5em;
    text-shadow: 0.1em 0.1em 0.1em black;
    border-radius: 0.2em;
    box-shadow: 0em 0.3em 0.3em rgba(0,0,0,0.5);
}
.start:hover{
    transform: scale(1.1);
}